org.apache.ignite.internal.processors.rest

## Interface GridRestProtocolHandler

    public interface GridRestProtocolHandler

Command protocol handler.

### Method Summary

Methods
`GridRestResponse` `handle(GridRestRequest req)`
`IgniteInternalFuture<GridRestResponse>` `handleAsync(GridRestRequest req)`

### Method Detail

#### handle

    GridRestResponse handle(GridRestRequest req)
                            throws IgniteCheckedException

Parameters:
  `req` - Request.
Returns:
  Response.
Throws:
  `IgniteCheckedException` - In case of error.

#### handleAsync

    IgniteInternalFuture<GridRestResponse> handleAsync(GridRestRequest req)

Parameters:
  `req` - Request.
Returns:
  Future.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015